What's your beginners tip?

The ideal place for beginners to get help using SketchUp

Re: What's your beginners tip?

Postby Gareth » Wed Oct 09, 2013 11:00 am

My tip is :

Be patient, or become one...!
3
User avatar
Gareth 
Premium Member
Premium Member
 

Re: What's your beginners tip?

Postby dlscape » Fri Dec 20, 2013 2:16 am

I've tried reading through a lot of these "Beginners Tips" posts, but there are a LOT, so please excuse me if this has already been posted...

Imagine you want to delete a large number of small objects, like the segments to a curved line for example. If they are isolated from other parts of your model it's easy to group select and mass delete. If they are tucked away amongst other objects it can get pretty tedious clicking each one with the eraser tool or trying to select and hide the rest of your model.

My tip is; did you know you can click and hold the eraser tool to paint multiple objects, easily selecting lots of fiddly objects, then when you release the mouse button they all delete :D

This has saved me thousands of mouse clicks cleaning up models, I hope it does the same for you!

Merry Christmas!

James
1
User avatar
dlscape 
 

Re: What's your beginners tip?

Postby billkeck » Mon May 12, 2014 8:25 pm

After creating your first object learn the value of placing it within a container (group or component).
0

billkeck 
 

Re: What's your beginners tip?

Postby Daniel » Mon Oct 20, 2014 7:32 pm

CL wrote:My tip would be to make sure you know what scale you are working in. If you start with something downloaded from the warehouse that is a random size, everything else can go pearshaped. You start adjusting things by eye to look right and then find there is nothing you can actually put a tapemeasure on, no known dimensions.


I would suggest always working at full scale. If you download something from the warehouse that is not sized properly (been there!), resize it the best you can to make it so (done that!).
0
I'm the youngest of three; my parents stopped after reaching perfection.
User avatar
Daniel 
 

Re: What's your beginners tip?

Postby Box » Mon Oct 20, 2014 7:48 pm

Full scale isn't always correct, for example if you are making parts for a watch or something very small it pays to work at a larger scale to avoid the tiny face issue and scale down when complete.
0
User avatar
Box 
 

Re: What's your beginners tip?

Postby Phillip H » Mon Jan 05, 2015 3:13 pm

To be filed under, "The blind leading the blind"; a beginner's advice to beginners.

Having started learning SU solo, a very trial and error approach (mostly error), I found I spent more time fixing mistakes than I did on modeling or learning 'best practices'. My tip is simply this: Learn from the people who have gone before you. Stick to the basics first. Actually DO the tip or exercise you read. Rinse and repeat as necessary. Knowing is doing and doing is knowing. Your skill level will advance much more quickly if you do. Mine certainly has.

As I post this, I am going back through my models and applying what I have learned here. My hat is off to you SketchUcation instructors and old hands. Lot of good stuff on these pages. Thank you for your contributions.

Phillip
1
User avatar
Phillip H 
 

Re: What's your beginners tip?

Postby HornOxx » Tue Apr 28, 2015 6:11 pm

next playing around and having fun:
if you make a model, never use Layer 0 !!!
-1
User avatar
HornOxx 
 

Re: What's your beginners tip?

Postby david_h » Wed Apr 29, 2015 6:21 pm

Well . ..I dunno. I use layer 0 exclusively for drawing and creating and use layers for groups and
components. But.. .to each his own I guess.
0
Last edited by david_h on Wed Apr 29, 2015 6:34 pm, edited 1 time in total.
If I make it look easy. . .then it probably is.
User avatar
david_h 
Top SketchUcator
 

Re: What's your beginners tip?

Postby david_h » Wed Apr 29, 2015 6:27 pm

So I have a question here that I hope someone can help me with.. . or maybe this should go in the "DOH" thread. .. but for now. . .

How to import an ACAD 2015 drawing with "Smart 3D" walls into SU without dumbing it down first to an ACAD version 14 dwg or dxf. Can it be done? I've never been successful at this.

Thx,

David
0
If I make it look easy. . .then it probably is.
User avatar
david_h 
Top SketchUcator
 

Re: What's your beginners tip?

Postby HornOxx » Tue May 05, 2015 9:14 pm

Hi David

"...I dunno. I use layer 0 exclusively for drawing..."

Why I recommend to avoid Layer 0? When I download (for example) a 3D-tree component from the warehouse, this is (mostly) drawn on Layer 0. Of course, I can assign this component to another layer "Tree". But the "content" of that component - often many subcomponents and subgroups - still remains on Layer 0. Within SketchUp that's usually not a problem, but if you often export to other CAD software, this layer-, component-, and group assignment often gets lost. So I'm always happy when a model avoids Layer 0 in principle - as well as in other CADs ...
So my SketchUp-template even starts with the active layer 1, extended by the layers "010 Walls", "020 Windows" etc ... (some standards, which I always need) and Layer 0 is always inactive and never visible...
0
User avatar
HornOxx 
 

Re: What's your beginners tip?

Postby TIG » Tue May 05, 2015 9:21 pm

This is contrary to received wisdom. :o
Most users always leave Layer0 as the active layer
They make all of their geometry on that active layer.
They then make a Group or Component from that selected geometry
They then assign some other Layer to that 'container' using Entity Info.
They use Layers to control visibility.
Creating base level edges and faces [aka geometry] on a Layer other that Layer0 is a recipe for disaster, or at least confusion...
1
TIG
User avatar
TIG 
Global Moderator
 

Re: What's your beginners tip?

Postby cotty » Tue May 05, 2015 9:23 pm

@Hornoxx
If you know what you do this may be a good option for you. But please, do not suggest this as the general preferred solution where beginners will read it and will fail sooner or later...
0
User avatar
cotty 
Top SketchUcator
 

Re: What's your beginners tip?

Postby HornOxx » Tue May 05, 2015 10:05 pm

Hi Tig, Cotty, David ...

Sorry and thanks a lot for your Comments!
I do not want to confuse anyone - certainly not beginners

Obviously, my workflow is too much influenced by other less flexible CAD tools, which I've used for many years...

Dear beginners, as you can see, there is always something to learn :?
0
User avatar
HornOxx 
 

Re: What's your beginners tip?

Postby Gaieus » Thu May 21, 2015 6:00 pm

TIG wrote:This is contrary to received wisdom. :o
Most users always leave Layer0 as the active layer
They make all of their geometry on that active layer.
They then make a Group or Component from that selected geometry
They then assign some other Layer to that 'container' using Entity Info.
They use Layers to control visibility.
Creating base level edges and faces [aka geometry] on a Layer other that Layer0 is a recipe for disaster, or at least confusion...

Yes, we know, TIG - however what if you have finally managed to put a certain complex geometry (say a gorup / coponent) on a certain layer other than Layer 0 and then decide to explode it.

What happens? Where will the more primitive elements get?
1
User avatar
Gaieus 
 

Re: What's your beginners tip?

Postby TIG » Thu May 21, 2015 6:23 pm

@Gaieus

[Long time no see!]

Yes, it is unfortunate that the default exploding of a 'container' - i.e. a Group/Component-Instance/Image - will results in anything within it that was on Layer0 being reassigned to the layer which had been assigned to the 'container'.

There are several approaches to this:

1. Remember to use 'Entity Info' to reassign the container's layer to Layer0, BEFORE you Explode it.

2. Use a plugin like my http://sketchucation.com/pluginstore?pl ... oup2layers to do the same thing...

3. Use this snippet in the Ruby Console + <enter>, to reassign all Selected Groups/Instances to Layer0, and only then Explode them - so then all layers remain unchanged.
Code: Select all
s=Sketchup.active_model.selection;a=s.grep(Sketchup::Group)+s.grep(Sketchup::ComponentInstance);a.each{|e|e.layer=nil;e.explode}
It's easiy made into a script...

4. I think Jim also wrote a similar script... but I can't find it immediately, and I do have to go to the pub ;)
1
TIG
User avatar
TIG 
Global Moderator
 

Re: What's your beginners tip?

Postby HornOxx » Fri May 22, 2015 7:41 pm

Hi Tig and Hi Gaieus,
meanwhile I try to switch my SkUp-working style to the "Layer 0" method :) and yes, absolute beginners will certainly use this method.
Other users (like me and certainly all of you) who have a long-standing CAD background will understand why I have given this (wrong) advice above. For example, not only for AutoCAD or Revit the "Layer 0" discussions fill hundreds of webpages as you can imagine

Luckily the layer visibility per scene worked well so far over years and luckily there was no disaster or confusion so far. I still do not know why but fortune favors fools! Anyway, I am now getting used to the here recommended method. I have already even changed my origin template ;)

I would like to follow and learn your "Explode Group to Layers" advice (thanks for that), but unfortunately I do not understand how to do it - I do not have any experience working with the Console - unfortunately. Maybe you or another member here might post a screenshot on this method? Or maybe someone can recommend any YouTube video tutorial on this topic or maybe there is already a thread on this topic here? Any help to learn that would be great!

Finally I have a very stupid question: how do you (all) do these screenshots here to show content of any other posts on which you refer in your own answer, as Gaieus has done it above? - I am really embarrassed to ask that :oops:
0
User avatar
HornOxx 
 

Re: What's your beginners tip?

Postby JQL » Fri May 22, 2015 8:38 pm

I hadn't had the patience to read all tips so this one may be out there:

Forget about hitting ESC a thousand times when you want to cancel the mess you're in, as you used to do in AutoCAD. Try using the SPACE key instead.

SPACE key is the one to use as it cancels the command by switching to SELECT tool.

Hitting ESC key will probably get you in a bigger mess because:
1 - Your command isn't cancelled, just reset to it's initial action.
2 - Any active dialog box (like the Paint dialog, components, or entity info, etc) will close...
3 - If you're in editing a group/component context (double click to edit) ESC cancels editing and returns to the context you were before. When you know what you're doing it's very useful but for beginners, sometimes this means jumping out of multiple nested groups/components and getting lost in the model.

Now that you know, use ESC key and double click to speed up your navigation.
0
User avatar
JQL 
Premium Member
Premium Member
 

Re: What's your beginners tip?

Postby JQL » Fri May 22, 2015 8:41 pm

To be sure you are selecting some basic geometry for edition and not the group/component wich is nesting it, click a thousand times on it until all connected edges and faces get selected (visually this is usually blue or orange edges and blue or orange dotted faces).

Then you can select the single face/edge and move it, pushpull it, offset it, paint it directly or do whatever you want with it.
0
User avatar
JQL 
Premium Member
Premium Member
 

Re: What's your beginners tip?

Postby pbacot » Sat May 23, 2015 4:48 am

Hornoxx to quote another post, hit the " " " quotation mark icon in the upper right of that post. It will place the post text and pictures in that format into your reply window.
0
MacOSX Mojave ShetchUp Pro v16...v19? Layout Twilight Pro v2 M2 Kerkythea PowerCADD
User avatar
pbacot 
Top SketchUcator
 

Re: What's your beginners tip?

Postby HornOxx » Sat May 23, 2015 7:58 am

pbacot wrote:Hornoxx to quote another post, hit the " " " quotation mark icon in the upper right of that post. It will place the post text and pictures in that format into your reply window.


pbacot - thank you !
(please don´t tell it anyone) :lol:
0
User avatar
HornOxx 
 

Re: What's your beginners tip?

Postby IntelCoreDuo » Tue Dec 08, 2015 11:09 pm

My tip:

If you ever find yourself not being able to do a certain task in an efficient manner, there is a very good chance someone else has been there before. If they have, they may have created a plugin to solve it. Or a clever workaround. Never settle for a "adequate" solution, always try to find a better way. It will turn you into the office guru in no time. This is about making a short-term investment that will often pay out in the short term, and always in the long term.
0

IntelCoreDuo 
 

Re: What's your beginners tip?

Postby ScottchUp » Fri Mar 17, 2017 11:09 pm

Create and use an easily readable layering system

Double/triple check working layer OFTEN

learn to group & use components

Learn shortcuts (print them & keep at workstation until they become muscle memory)

Buy Nick Sonders book "Sketchup and Layout for Architecture"
0

ScottchUp 
 

Re: What's your beginners tip?

Postby Dave R » Sat Mar 18, 2017 5:30 pm

ScottchUp wrote:Create and use an easily readable layering system

Double/triple check working layer OFTEN

learn to group & use components

Learn shortcuts (print them & keep at workstation until they become muscle memory)

Buy Nick Sonders book "Sketchup and Layout for Architecture"


Good list. As for the working layer. You might write that as, "Double/triple check that Layer 0 is always the active layer."
0
%

(THERE'S NO PLACE LIKE)

G28 X0.0 Y0.0 Z0.0

M30

%
User avatar
Dave R 
Global Moderator
 

Rotate Dimension

Postby drafter » Tue May 16, 2017 7:27 pm

I discovered, by accident, that dimensions can be rotated any number of degrees and their value is automatically recalculated.
1

drafter 
 

Re: What's your beginners tip?

Postby JQL » Tue May 16, 2017 7:49 pm

Brute leftclick yourself into context until your faces are hatched blue as selected. Then you can edit them.

If what you want is to select the group/component nesting those faces, hit ESC once and click the mouse once.

By doing that you'll be able easily tell the difference between transforming a component (move, scale, rotate, etc) or editing the entities inside it.
0
User avatar
JQL 
Premium Member
Premium Member
 

Re: What's your beginners tip?

Postby pbacot » Tue May 16, 2017 8:31 pm

JQL wrote:Brute leftclick yourself into context until your faces are hatched blue as selected. Then you can edit them.

If what you want is to select the group/component nesting those faces, hit ESC once and click the mouse once.

By doing that you'll be able easily tell the difference between transforming a component (move, scale, rotate, etc) or editing the entities inside it.

Brute-leftclick until you are blue in the face? What?
0
MacOSX Mojave ShetchUp Pro v16...v19? Layout Twilight Pro v2 M2 Kerkythea PowerCADD
User avatar
pbacot 
Top SketchUcator
 

Re: What's your beginners tip?

Postby JQL » Tue May 16, 2017 8:38 pm

pbacot wrote:
JQL wrote:Brute leftclick yourself into context until your faces are hatched blue as selected. Then you can edit them.

If what you want is to select the group/component nesting those faces, hit ESC once and click the mouse once.

By doing that you'll be able easily tell the difference between transforming a component (move, scale, rotate, etc) or editing the entities inside it.

Brute-leftclick until you are blue in the face? What?


LOL...

Use select tool and click 3.000.000 times in a component or group until you select all it's faces. Then you know you're inside it.

It's good for nested groups and components that eventually make up a complex model.

Most people I teach SU to, have a hard time figuring out if they are inside or outside of the group. This way they are sure they are inside as suddenly all the faces are selected with a triple click.

It sounds strange, but it's the best advice I have for beginners.
0
User avatar
JQL 
Premium Member
Premium Member
 

Re: What's your beginners tip?

Postby pbacot » Tue May 16, 2017 9:25 pm

That's cool. (Now you see, I want a command click /plugin that opens the nested component where the face lives.)
0
MacOSX Mojave ShetchUp Pro v16...v19? Layout Twilight Pro v2 M2 Kerkythea PowerCADD
User avatar
pbacot 
Top SketchUcator
 

Re: What's your beginners tip?

Postby Dave R » Tue May 16, 2017 11:10 pm

pbacot wrote:That's cool. (Now you see, I want a command click /plugin that opens the nested component where the face lives.)


You can already do that from Outliner. Of course you need to give the components useful names so you can identify the one you want to edit. :D
0
%

(THERE'S NO PLACE LIKE)

G28 X0.0 Y0.0 Z0.0

M30

%
User avatar
Dave R 
Global Moderator
 

Re: What's your beginners tip?

Postby Rich O Brien » Wed May 17, 2017 10:26 am

Someone needs to make an Extension called Deep Dive that brings you into the murky waters of selecting Component#512 by simply knowing you want to select it.
0
There's a frontroom and a backroom....reverse faces
User avatar
Rich O Brien 
Administrator
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 

PreviousNext


 

Return to Newbie Forum

Who is online

Users browsing this forum: No registered users and 2 guests

Visit our sponsors: